Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ipe::Painter::State Struct Reference

`#include <ipepainter.h>`

## Public Attributes

Color | iStroke
Color | iFill
Fixed | iPen
String | iDashStyle
TLineCap | iLineCap
TLineJoin | iLineJoin
TFillRule | iFillRule
Color | iSymStroke
Color | iSymFill
Fixed | iSymPen
Fixed | iOpacity
Attribute | iTiling
Attribute | iGradient

## Member Data Documentation

Color ipe::Painter::State::iStroke

Color ipe::Painter::State::iFill

Fixed ipe::Painter::State::iPen

String ipe::Painter::State::iDashStyle

TLineCap ipe::Painter::State::iLineCap

TLineJoin ipe::Painter::State::iLineJoin

TFillRule ipe::Painter::State::iFillRule

Color ipe::Painter::State::iSymStroke

Color ipe::Painter::State::iSymFill

Fixed ipe::Painter::State::iSymPen

Fixed ipe::Painter::State::iOpacity

Attribute ipe::Painter::State::iTiling

Attribute ipe::Painter::State::iGradient

The documentation for this struct was generated from the following file:

- ipepainter.h